Subject: Re: FCNTL.DLL causes illegal instruction w/ perl since upgrade
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Fri, 25 Apr 2003 08:29:45 +0200

Hallo Greg,

Am Freitag, 25. April 2003 um 00:17 schriebst du:

> On Thu, 24 Apr 2003, Gerrit P. Haase wrote:

>> I have a debugging version of perl-5.8.0, you can fetch it and debug
>> it.  Unfortunately I have no Win98 to do this myself.

>> Ok, a debugging version is here (two packages, 8MB sourcetree and
>> 10MB binaries):
>> http://koeln.convey.de/cywgin/perl/perl-5.8.0-debugging.tar.bz2
>> http://koeln.convey.de/cywgin/perl/perl-5.8.0-debugging-srctree.tar.bz2
>> http://koeln.convey.de/cywgin/perl/md5sums

>> And a source package with the additional patches and scripts to
>> build a debugging version: perl-5.8.0-debugging-src.tar.bz2, is
>> available on request.

>> As C. Faylor wrote:

>> Now you could do something like:

>> set CYGWIN=error_start=c:/cygwin/bin/gdb

>> and when gdb pops up, type "bt" to get a stack trace.

> I am having problems getting gdb to 'pop up'. When I was
> installing gdb, I saw the tcltk libraries there in setup and
> thought I must have made a mistake and I skipped them.
> Reinstalling gdb and tcltk, however, I still don't get a GUI
> version of gdb, only the console version, running the command
> 'gdb'. And gdb is not 'popping up' on the invalid page fault
> error of perl-5.8.0. 

Yes, the program runs on, it is not really a crash (the program
doesn't stop), you could attach the perl process with gdb while it is
running or write a little script which triggers the fault and then run
the script through gdb:
$ gdb -nw perl.exe
GNU gdb 2003-03-03-cvs (cygwin-special)
Copyright 2003 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i686-pc-cygwin"...
(gdb) run script.pl
Starting program: /bin/perl.exe script.pl

Program exited normally.
(gdb) 

and see what is reported when it hangs.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/